<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

<%= form_with(model: subject, local: true) do |form| %>
  <% if subject.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(subject.errors.count, "error") %> prohibited this subject from being saved:</h2>

      <ul>
        <% subject.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <div class="container">
    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :sub_name, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%= form.text_field :sub_name, id: :sub_sub_name, class: "form-control", required: true %>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :sub_code, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%= form.text_field :sub_code, id: :sub_sub_code, class: "form-control", required: true %>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-4 form-group row">
        <div class="col-md-4">
          <%= form.label :teacher, class: "col-form-label" %>
        </div>
        <div class="col-md-8">
          <%= form.collection_select(:user_id,User.where(role_id:2), :id,:user_name, {prompt: true}, {id: :teacher_dropdown}) %>
        </div>
      </div>
    </div>
    
    <div class="actions">
      <%= form.submit "Submit", class:"btn btn-primary float-right" %>
      <%= link_to "Cancel", subjects_path, class: "btn btn-warning float-right mr-3" %>
    </div>
  </div>
<% end %>
